Package org.apache.catalina.core

## Class ApplicationMappingImpl

- java.lang.Object
- - org.apache.catalina.core.ApplicationMappingImpl

-     public class ApplicationMappingImpl
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationMappingImpl​(java.lang.String matchValue, java.lang.String pattern, ApplicationMappingMatch mappingType, java.lang.String servletName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ApplicationMappingMatch` | `getMappingMatch()` |
    `java.lang.String` | `getMatchValue()` |
    `java.lang.String` | `getPattern()` |
    `java.lang.String` | `getServletName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationMappingImpl

          public ApplicationMappingImpl​(java.lang.String matchValue,
                                        java.lang.String pattern,
                                        ApplicationMappingMatch mappingType,
                                        java.lang.String servletName)

  - ### Method Detail

    - #### getMatchValue

          public java.lang.String getMatchValue()

    - #### getPattern

          public java.lang.String getPattern()

    - #### getMappingMatch

          public ApplicationMappingMatch getMappingMatch()

    - #### getServletName

          public java.lang.String getServletName()